export path=($path $HOME/.config/dotfiles/bin)
export fpath=($fpath $ZDOTDIR/local/fpath)
export FZF_MARKS_FILE=$HOME/.config/fzfmarks

mkdir -p $HOME/.cache/zsh

declare -A ZINIT
ZINIT[BIN_DIR]="$HOME/.config/zinit/bin"
ZINIT[HOME_DIR]="$HOME/.config/zinit"
ZINIT[ZCOMPDUMP_PATH]="$HOME/.cache/zsh/compdump"

source $HOME/.config/zinit/bin/zinit.zsh

# Theme
export STARSHIP_CONFIG=$ZDOTDIR/starship.toml
eval "$(starship init zsh)"

# sharkdp/fd
zinit ice as"command" from"gh-r" mv"fd* -> fd" pick"fd/fd"
zinit light sharkdp/fd

# sharkdp/bat
zinit ice as"command" from"gh-r" mv"bat* -> bat" pick"bat/bat"
zinit light sharkdp/bat

# ogham/exa, replacement for ls
zinit ice as"program" from"gh-r" mv"exa* -> exa"
zinit light ogham/exa

# knqyf263/pet, replacement for ls
zinit ice as"program" from"gh-r" mv"pet* -> pet" pick"usr/local/bin/pet"
zinit light knqyf263/pet

zinit wait lucid light-mode blockf atpull'zinit creinstall -q .' for zsh-users/zsh-completions
zinit wait lucid light-mode atload"_zsh_autosuggest_start" for zsh-users/zsh-autosuggestions

# Needed
source $ZDOTDIR/files/dircolor.zsh
source $ZDOTDIR/files/aliases.zsh
source $ZDOTDIR/files/completion.zsh
source $ZDOTDIR/files/history.zsh
source $ZDOTDIR/files/direnv.zsh
zinit snippet OMZL::functions.zsh
zinit snippet OMZL::directories.zsh
zinit snippet OMZL::key-bindings.zsh
zinit snippet OMZL::termsupport.zsh
zinit snippet OMZL::clipboard.zsh
zinit snippet OMZL::grep.zsh
zinit snippet OMZP::sudo
zinit snippet OMZP::command-not-found
zinit snippet OMZP::fzf
zinit snippet OMZP::lando

#eval "$(fasd --init auto)"
zinit wait lucid light-mode for wookayin/fzf-fasd
zinit wait lucid light-mode for urbainvaes/fzf-marks
zinit wait lucid light-mode for voronkovich/gitignore.plugin.zsh
zinit wait lucid light-mode for reegnz/jq-zsh-plugin
zinit wait lucid light-mode for @asdf-vm/asdf
zinit wait lucid light-mode for Aloxaf/fzf-tab

# syntax highlighting
zpcompinit
zinit wait lucid light-mode atinit"zpcdreplay -q" for zsh-users/zsh-syntax-highlighting

# Local RC
[[ -f "$ZDOTDIR/local/rc.zsh" ]] && source "$ZDOTDIR/local/rc.zsh"
